local Enabled = false;
local BuffGUITimer;
local Locked = false;
local Textures = {
  ["1"] = "Interface\\Icons\\Spell_Arcane_TeleportOrgrimmar",
  ["2"] = "Interface\\Icons\\inv_misc_head_dragon_01",
  ["3"] = "Interface\\Icons\\inv_misc_head_dragon_black",
  ["5"] = "Interface\\Icons\\ability_creature_poison_05",
};

function WBT_IncomingGUI_DeactivateBar()
  --ActiveBars[id] = nil; some incomingbuffs.lua shit
  WBT_IncomingGUI_ToggleTimer(false);
  WBT_IncomingGUI:Hide();
end

function WBT_IncomingGUI_ActivateBar(id)
  WBT_IncomingGUI:Show();
  local idS = tostring(id);
  WBT_IncomingBarBuff:SetText(WorldBuffTrackerSpellsInverse[id]);
  WBT_IncomingBarTexture:SetTexture(Textures[idS]);
end

function WBT_IncomingGUI_TestVars()
  --remove or true
  if(BuffGUIVars.IncomingX == nil or true) then
    BuffGUIVars.IncomingWidth = 900;
    BuffGUIVars.IncomingX = math.floor(((GetScreenWidth() + 980) / 2));
    BuffGUIVars.IncomingY = math.floor(((GetScreenHeight() + 100 ) / 2) * 1.5);
    BuffGUIVars.IncomingScale = 100;
  end
end

function WBT_IncomingGUI_CreateGUI()
  WBT_IncomingGUI_TestVars();
  local BuffGUI = CreateFrame("Frame", "WBT_IncomingGUI", UIParent);
  BuffGUI:SetPoint("TOPRIGHT", UIParent, "BOTTOMLEFT", BuffGUIVars.IncomingX, BuffGUIVars.IncomingY);
  local height = 80;
  BuffGUI:SetScale(BuffGUIVars.IncomingScale / 100);
  BuffGUI:SetWidth(BuffGUIVars.IncomingWidth + height);
  BuffGUI:SetHeight(height);

  local bar = CreateFrame("StatusBar", "WBT_IncomingBar", WBT_IncomingGUI);
  bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar");
  bar:GetStatusBarTexture():SetVertTile(false);
  bar:GetStatusBarTexture():SetHorizTile(false);
  bar:SetWidth(BuffGUIVars.IncomingWidth);
  bar:SetHeight(height);
  bar:SetPoint("TOPLEFT", "WBT_IncomingGUI", "TOPLEFT",
    height, 0);
    --bar:SetMinMaxValues(0, WorldBuffTrackerBuffCDs[tostring(i)]);
  bar:SetStatusBarColor(0, 0.6, 0.7, 0.7)
  bar:SetBackdrop({
    bgFile = "Interface\\Tooltips\\UI-Tooltip-Background",
    edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",
    tile = false, tileSize = 0, edgeSize = 1,
    insets = { left = 0, right = 0, top = -1, bottom = -1}
    })
  bar:SetBackdropColor(0, 0, 0, 0.5);
  barTexture = bar:CreateTexture("WBT_IncomingBarTexture", ARTWORK);
  barTexture:SetHeight(height);
  barTexture:SetWidth(height);
  barTexture:SetPoint("LEFT", bar, "LEFT", -height, 0);
  WBT_IncomingGUI_CreateFontString("LEFT", "Buff");
  WBT_IncomingGUI_CreateFontString("RIGHT", "Time");
  --WBT_IncomingGUI_ToggleTimer(true);
  WBT_IncomingGUI:Hide();
end

function WBT_IncomingGUI_CreateFontString(justify, name)
  local string = WBT_IncomingBar:CreateFontString("WBT_IncomingBar" .. name);
  string:SetFont("Fonts\\FRIZQT__.TTF", 32, "OUTLINE");
  string:SetPoint("LEFT", WBT_IncomingBar, "LEFT", 0, 0);
  string:SetWidth(BuffGUIVars.IncomingWidth);
  string:SetHeight(20);
  string:SetJustifyH(justify);
  return string;
end

function WBT_IncomingGUI_ToggleTimer(enable)
  if(enable) then
    BuffGUITimer = C_Timer.NewTicker(0.05, WBT_Incoming_SetProgress);
  else
    BuffGUITimer:Cancel();
  end
end
