local CurrentAnnouncer = UnitName("player");
local playerLogin = GetServerTime();
local GuildUsers = {
}

function WBT_Guild_RemovePlayer(player)
  if(GuildUsers[player]) then
    GuildUsers[player] = nil;
    if(CurrentAnnouncer == player) then
      local announcer = UnitName("player");
      local time = playerLogin;
      for k,v in pairs(GuildUsers) do
        if(time > v) then
          announcer = k;
          time = v;
        end
      end
      CurrentAnnouncer = announcer;
    end
  end
  if(WBT_Guild_IsAnnouncer()) then
    WorldBuffTrackerFrame:UnregisterEvent("GUILD_ROSTER_UPDATE");
  end
end

function WBT_Guild_InsertPlayer(player, timestamp)
  GuildUsers[player] = timestamp;
end

function WBT_Guild_SendData(target)
    C_ChatInfo.SendAddonMessage("WBT-A", WorldBuffTracker_Serialize(WorldBuffTracker_GetVersion(), playerLogin), "WHISPER", target);
end

function WBT_Guild_IsAnnouncer()
  return CurrentAnnouncer == UnitName("player");
end

function WorldBuffTrackerEvents:GUILD_ROSTER_UPDATE(...)
  for i=1,GetNumGuildMembers() do
    local name, _, _, _, _, _, _,
    _, online, _ = GetGuildRosterInfo(i);
    if(not online and GuildUsers[name]) then
      WBT_Guild_RemovePlayer(name);
    end
  end

end
