WBT_SongflowerData = {};
WBT_PlayerInFelwood = false;

local faction = UnitFactionGroup("player");
local realmName = GetRealmName();

local WBT_SongflowerDataBase = {
  ["1"] = 0,
  ["2"] = 0,
  ["3"] = 0,
  ["4"] = 0,
  ["5"] = 0,
  ["6"] = 0,
  ["7"] = 0,
  ["8"] = 0,
  ["9"] = 0,
  ["10"] = 0
};
function WBT_Songflowers_Coordinates(x, y)
  return {["X"] = x, ["Y"] = y, ["X1"] = x - 0.3, ["X2"] = x + 0.3, ["Y1"] = y - 0.3, ["Y2"] = y + 0.3};
end
local Songflowers = {
  ["1"] = WBT_Songflowers_Coordinates(63.91, 6.09),
  ["2"] = WBT_Songflowers_Coordinates(55.8, 10.44),
  ["3"] = WBT_Songflowers_Coordinates(50.6, 13.9),
  ["4"] = WBT_Songflowers_Coordinates(63.33, 22.61),
  ["5"] = WBT_Songflowers_Coordinates(40.14, 44.35),
  ["6"] = WBT_Songflowers_Coordinates(34.35, 52.17),
  ["7"] = WBT_Songflowers_Coordinates(40.15, 56.52),
  ["8"] = WBT_Songflowers_Coordinates(48.26, 75.65),
  ["9"] = WBT_Songflowers_Coordinates(45.94, 85.22),
  ["10"] = WBT_Songflowers_Coordinates(52.9, 87.83)
};

function WBT_Songflowers_TestVars()
  if(WBT_SongflowerData[realmName]) then
    if(not WBT_SongflowerData[realmName][faction]) then
      WBT_SongflowerData[realmName][faction] = WBT_SongflowerDataBase;
    end
  else
    WBT_SongflowerData[realmName] = {};
    WBT_SongflowerData[realmName][faction] = WBT_SongflowerDataBase;
  end
end

function WBT_Songflowers_GetSongflower(x, y)
  for k, v in pairs(Songflowers) do
    if(x > v["X1"] and x < v["X2"] and y > v["Y1"] and y < v["Y2"]) then
      return k;
    end
  end
end

function WBT_Songflowers_SerializeData()
  local s = "";
  for k, v in pairs(WBT_SongflowerData[realmName][faction]) do
    if(s == "") then
      s = WorldBuffTracker_DecToHex(v);
    else
      s = s + ":" + WorldBuffTracker_DecToHex(v);
    end
  end
  return s;
end

function WBT_Songflowers_Deserialize(data)
  local sf = {strsplit(":", data)};
  local i = 1;
  local t = GetServerTime();
  for k, v in pairs(sf) do
    v = WorldBuffTracker_HexToDec(v);
    if(v - t > 0 and v - t < 1500) then
      WBT_SongflowerData[realmName][faction][tostring(i)] = v;
    end
    i = i + 1;
  end
end
